package com.dzeio.openhealth

/**
 * Object containing every keys for the different settings of the application
 */
object Settings {

    /**
     * get the last time the Application has crashed
     *
     * type: Long
     */
    const val CRASH_LAST_TIME = "com.dzeio.open-health.crash.last_time"

    /**
     * The software override application language
     *
     * note: also change it in `preferences.xml`
     */
    const val APP_LANGUAGE = "com.dzeio.open-health.app.language"

    /***************************
     * Weight related settings *
     ***************************/

    const val WEIGHT_GOAL = "com.dzeio.open-health.weight.goal"

    /**
     * format in which the weight the user want it to be displayed as
     */
    const val MASS_UNIT = "com.dzeio.open-health.unit.mass"

    /**
     * Goal number of steps each days
     */
    const val STEPS_GOAL = "com.dzeio.open-health.steps.goal-daily"

    /**
     * The water intake size for the quick add
     */
    const val WATER_INTAKE_SIZE = "com.dzeio.open-health.water.size"

    /**
     * volume unit used
     */
    const val VOLUME_UNIT = "com.dzeio.open-health.volume-unit"

    const val WATER_INTAKE_DAILY_GOAL = "com.dzeio.open-health.water.daily"

    /**
     * the default value for the setting above
     */
    const val WATER_INTAKE_SIZE_DEFAULT = 250

    /**
     * the user Height in CM
     */
    const val USER_HEIGHT = "com.dzeio.open-health.height"

    /**
     * the user birthday as an ISO8601 date
     */
    const val USER_BIRTHDAY = "com.dzeio.open-health.birthday"

    /**
     * the User age
     */
    const val USER_AGE = "com.dzeio.open-health.age"

    /**
     * the user biologicial age (0 = female, 1 = male)
     */
    const val USER_BIOLOGICAL_SEX = "com.dzeio.open-health.biological_sex"

    /**
     * the user activity level
     *
     * @see com.dzeio.openhealth.units.ActivityLevel
     */
    const val USER_ACTIVITY_LEVEL = "com.dzeio.open-health.activity_level"
}
