package com.dzeio.openhealth.data.openfoodfact

import com.google.gson.annotations.SerializedName

data class OFFNutriments(
    /**
     * the quantity of carbohydrates in a 100g serving
     */
    @SerializedName("carbohydrates_100g")
    var carbohydrates: Float,

    /**
     * the energy in kcal in a 100g serving
     */
    @SerializedName("energy-kcal_100g")
    var energy: Float?,

    /**
     * the energy KL in a 100g serving
     */
    @SerializedName("energy-kj_100g")
    var energyKJ: Float,

    /**
     * the quantity of fat in a 100g serving
     */
    @SerializedName("fat_100g")
    var fat: Float,

    /**
     * the quantity of proteins in a 100g serving
     */
    @SerializedName("proteins_100g")
    var proteins: Float
)
