package com.dzeio.openhealth.data.openfoodfact

import com.google.gson.annotations.SerializedName

data class OFFProduct(
    /**
     * the OFF product id
     */
    @SerializedName("_id")
    var id: String,

    /**
     * the product name
     */
    @SerializedName("product_name")
    var name: String?,

    /**
     * the size of a serving
     */
    @SerializedName("serving_size")
    var servingSize: String?,

    /**
     * the size of a serving without the `g`, `ml`, etc
     */
    @SerializedName("serving_quantity")
    var servingQuantity: Float?,

    /**
     * the size of a serving
     */
    @SerializedName("quantity")
    var quantity: String?,

    /**
     * the size of a serving without the `g`, `ml`, etc
     */
    @SerializedName("product_quantity")
    var productQuantity: Float?,

    /**
     * the product nutriments
     */
    @SerializedName("nutriments")
    var nutriments: OFFNutriments?,

    /**
     * the product image
     */
    @SerializedName("image_url")
    var image: String?
)
