package com.dzeio.openhealth.data.openfoodfact

import com.dzeio.openhealth.BuildConfig
import com.google.gson.GsonBuilder
import retrofit2.Response
import retrofit2.Retrofit
import retrofit2.converter.gson.GsonConverterFactory
import retrofit2.http.GET
import retrofit2.http.Headers
import retrofit2.http.Query

interface OpenFoodFactService {

    companion object {
        fun getService(): OpenFoodFactService {
//            val interceptor = HttpLoggingInterceptor()
//            interceptor.setLevel(HttpLoggingInterceptor.Level.BODY)
//            val client = OkHttpClient.Builder()
//                .addInterceptor(interceptor)
//                .build()
            val gson = GsonBuilder()
                .setLenient()
                .create()
            val retrofit = Retrofit.Builder()
                .baseUrl("https://world.openfoodfacts.org/")
                .addConverterFactory(GsonConverterFactory.create(gson))
//                .client(client)
                .build()

            return retrofit.create(OpenFoodFactService::class.java)
        }
    }

    /**
     * Search a product by it's name
     */
    @Headers(
        "User-Agent: OpenHealth - Android - Version ${BuildConfig.VERSION_NAME} - https://github.com/dzeiocom/OpenHealth"
    )
    @GET(
        "/cgi/search.pl?json=true&fields=_id,nutriments,product_name,serving_quantity,serving_size,quantity,product_quantity,image_url&action=process"
    )
    suspend fun searchProducts(@Query("search_terms2") name: String): Response<OFFResult>

    /**
     * Search a product by it's barcode
     */
    @Headers(
        "User-Agent: OpenHealth - Android - Version ${BuildConfig.VERSION_NAME} - https://github.com/dzeiocom/OpenHealth"
    )
    @GET("/api/v2/search?fields=_id,nutriments,product_name,serving_quantity")
    suspend fun findByCode(@Query("code") code: String): Response<OFFResult>
}
