package com.dzeio.openhealth.data.weight

import javax.inject.Inject
import javax.inject.Singleton

@Singleton
class WeightRepository @Inject constructor(
    private val weightDao: WeightDao
) {
    fun getWeights() = weightDao.getAll()

    fun lastWeight() = weightDao.last()

    fun getWeight(id: Long) = weightDao.getOne(id)

    suspend fun addWeight(weight: Weight) = weightDao.insert(weight)
    suspend fun addAll(vararg weight: Weight) = weightDao.insertAll(*weight)
    suspend fun deleteWeight(vararg weight: Weight) = weightDao.delete(*weight)
    suspend fun deleteFromSource(source: String) = weightDao.deleteFromSource(source)
}
