package com.dzeio.openhealth.ui.activity

import android.content.SharedPreferences
import android.os.Bundle
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import androidx.preference.PreferenceManager
import com.dzeio.openhealth.core.BaseFragment
import com.dzeio.openhealth.databinding.FragmentActivityBinding
import dagger.hilt.android.AndroidEntryPoint

/**
 * Fragment for the Activity page
 */
@AndroidEntryPoint
class ActivityFragment :
    BaseFragment<ActivityViewModel, FragmentActivityBinding>(ActivityViewModel::class.java) {

    override val bindingInflater: (LayoutInflater, ViewGroup?, Boolean) -> FragmentActivityBinding
        get() = FragmentActivityBinding::inflate

    private val settings: SharedPreferences by lazy {
        PreferenceManager.getDefaultSharedPreferences(requireContext())
    }

    override fun onViewCreated(view: View, savedInstanceState: Bundle?) {
        super.onViewCreated(view, savedInstanceState)
    }
}
