package com.dzeio.openhealth.ui.water

import androidx.lifecycle.LiveData
import androidx.lifecycle.MutableLiveData
import com.dzeio.openhealth.Settings
import com.dzeio.openhealth.core.BaseViewModel
import com.dzeio.openhealth.units.Volume
import com.dzeio.openhealth.utils.Configuration
import dagger.hilt.android.lifecycle.HiltViewModel
import javax.inject.Inject

@HiltViewModel
class WaterSizeSelectorViewModel @Inject constructor(
    private val settings: Configuration
) : BaseViewModel() {

    val cupSize = settings.getInt(Settings.WATER_INTAKE_SIZE).toLiveData()
    private val _unit = MutableLiveData<Volume?>()
    val unit: LiveData<Volume?> = _unit

    fun setCupSize(value: Int) {
        settings.getInt(Settings.WATER_INTAKE_SIZE).value = value
    }

    init {
        settings.getInt(Settings.VOLUME_UNIT).apply {
            addObserver {
                if (it === null) return@addObserver
                _unit.postValue(Volume.find(it))
            }
            if (value != null) _unit.postValue(Volume.find(value!!))
        }
    }
}
