package com.dzeio.openhealth.utils

import android.graphics.Bitmap
import android.graphics.BitmapFactory
import android.os.Handler
import android.os.Looper
import android.util.Log
import android.widget.ImageView
import java.net.URL
import java.util.concurrent.Executors

object NetworkUtils {
    /**
     * Fetch an image and apply it to an [image] [ImageView]
     *
     * Adapted from https://stackoverflow.com/a/10868126/7335674
     * to not be deprecated
     *
     * @param image the ImageView
     * @param url the url to fetch the image from
     */
    fun getImageInBackground(image: ImageView, url: String) {
        val executor = Executors.newSingleThreadExecutor()
        val handler = Handler(Looper.getMainLooper())
        executor.execute {
            var bitmap: Bitmap? = null
            try {
                val `in` = URL(url).openStream()
                bitmap = BitmapFactory.decodeStream(`in`)
                handler.post {
                    image.setImageBitmap(bitmap)
                }
            } catch (e: Exception) {
                Log.e("Error", e.message!!)
                e.printStackTrace()
            }
        }
    }
}
