package com.dzeio.openhealth.utils

import android.app.ActivityManager
import android.content.Context
import android.content.Intent
import android.util.Log
import com.dzeio.openhealth.Application

/**
 * Utils class for services
 */
object ServiceUtils {

    /**
     * Function that start a service
     *
     * If I remember correctly I stole this from StackOverflow... TODO: get the original URL
     */
    fun <T> startService(context: Context, service: Class<T>) {
        val activityManager = context.getSystemService(Context.ACTIVITY_SERVICE) as ActivityManager
        for (runningService in activityManager.getRunningServices(Integer.MAX_VALUE)) {
            if (service.name.equals(runningService.service.className)) {
                Log.w(Application.TAG, "Service already existing, not starting again")
                return
            }
        }
        Log.i(Application.TAG, "Starting service ${service.name}")
        Intent(context, service).also { intent -> context.startService(intent) }
    }
}
