package com.dzeio.openhealth.utils

import java.io.BufferedOutputStream
import java.io.ByteArrayOutputStream
import java.io.File
import java.io.IOException
import java.util.zip.ZipEntry
import java.util.zip.ZipOutputStream

class ZipFile {

    private val stream = ByteArrayOutputStream()
    private val output = ZipOutputStream(BufferedOutputStream(stream))

    fun addFile(path: String, item: String) = addFile(path, item.toByteArray())
    fun addFile(path: String, item: File) {
        // Read file
        val data = item.inputStream()
        val bytes = data.readBytes()
        data.close()

        return addFile(path, bytes)
    }

    fun addFile(path: String, item: ByteArray) {
        val entry = ZipEntry(path)
        try {
            output.putNextEntry(entry)

            output.write(item)
        } catch (e: IOException) {
            e.printStackTrace()
        }

        output.closeEntry()
    }

    fun toByteArray(): ByteArray {
        output.close()
        return stream.toByteArray()
    }
}
