package com.dzeio.openhealth.utils.polyfills

import android.bluetooth.BluetoothDevice
import android.content.Intent
import android.os.Build

fun Intent.getBluetoothDevice(): BluetoothDevice? {
    return if (Build.VERSION.SDK_INT >= Build.VERSION_CODES.TIRAMISU) {
        this.getParcelableExtra(BluetoothDevice.EXTRA_DEVICE, BluetoothDevice::class.java)
    } else {
        @Suppress("DEPRECATION")
        this.getParcelableExtra(BluetoothDevice.EXTRA_DEVICE)
    }
}
