package com.dzeio.openhealth.utils.polyfills

import android.app.Service
import android.os.Build

enum class NotificationBehavior {
    REMOVE,
    DETACH
}

fun Service.stopForegroundPoly(notificationBehavior: NotificationBehavior) {
    if (Build.VERSION.SDK_INT >= Build.VERSION_CODES.N) {
        stopForeground(
            if (notificationBehavior === NotificationBehavior.REMOVE) {
                Service.STOP_FOREGROUND_REMOVE
            } else {
                Service.STOP_FOREGROUND_DETACH
            }
        )
    } else {
        @Suppress("DEPRECATION")
        stopForeground(notificationBehavior == NotificationBehavior.REMOVE)
    }
}
