// Top-level build file where you can add configuration options common to all sub-projects/modules.
buildscript {
    dependencies {
        // Safe Navigation
        classpath("androidx.navigation:navigation-safe-args-gradle-plugin:2.5.3")

        // OSS licenses
        classpath("com.google.android.gms:oss-licenses-plugin:0.10.6")
        classpath("org.jetbrains.kotlin:kotlin-gradle-plugin:1.8.10")
    }
    repositories {
        mavenCentral()
    }
}

plugins {
    // android app plugin ? (tbh idk what thoses "plugins" does)
    id("com.android.application") version "7.4.1" apply false
    // is it a lib? no, do I need it? IDK
    id("com.android.library") version "7.4.1" apply false

    // add kotlin compatibility :>
    id("org.jetbrains.kotlin.android") version "1.8.10" apply false

    // Hilt
    id("com.google.dagger.hilt.android") version "2.45" apply false

    // KSP
    id("com.google.devtools.ksp") version "1.8.10-1.0.9" apply false
}

// Cleanup the build directories
task("clean") {
    delete(rootProject.buildDir)
    delete(project.buildDir)
}
